﻿using Styx.Helpers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GrantRAFLevels
{
    public class GRLSettings : Styx.Helpers.Settings
    {
        private static GRLSettings _instance;

        public GRLSettings()
            : base(System.IO.Path.Combine(CharacterSettingsDirectory, "TheBestPlugin.xml")) // will be '\Honorbuddy\Settings\{Server}\{CharacterName}\TheBestPlugin.xml'  
        {

        }
        public static GRLSettings Instance
        {
            get { return _instance ?? (_instance = new GRLSettings()); }
        }

        [Setting, DefaultValue(2)]
        [System.ComponentModel.Category("General")]
        [System.ComponentModel.DisplayName("Timer (in minutes)")]
        [System.ComponentModel.Description("How long (in minutes) between trying to grant levels.")]
        public int TimerInMinutes { get; set; }
    }
}