﻿using Styx.Common;
using Styx.Plugins;
using Styx.WoWInternals;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GrantRAFLevels
{
    public class Plugin : HBPlugin
    {
        public override string Author { get { return "SpeshulK926"; } }
        public override string Name { get { return "Grant RAF Levels!"; } }
        public override Version Version { get { return new Version(1, 0); } }
        public override string ButtonText { get { return "Settings..."; } }
        public override bool WantButton { get { return true; } }
        public override void OnButtonPress()
        {
            SettingsForm frm = new SettingsForm();
            frm.ShowDialog();
            GRLSettings.Instance.Save();
        }
        public Styx.WoWInternals.WoWObjects.LocalPlayer Me { get { return Styx.StyxWoW.Me; } }
        private Stopwatch _timer = new Stopwatch();
        public override void Pulse()
        {
            if (!_timer.IsRunning || _timer.ElapsedMilliseconds > (GRLSettings.Instance.TimerInMinutes * 1000 * 60))
            {
                Logging.Write("[RAFLevel] Attempting to grant levels");

                Lua.DoString("GrantLevel(\"party1\");");
                Lua.DoString("GrantLevel(\"party2\");");
                Lua.DoString("GrantLevel(\"party3\");");
                Lua.DoString("GrantLevel(\"party4\");");
                Lua.DoString("GrantLevel(\"party5\");");

                Lua.DoString("AcceptLevelGrant();");
                _timer.Restart();
            }
        }
        public override void OnEnable()
        {
            base.OnEnable();
            Logging.Write("[RAFLevel] Enabled");
        }
        public override void OnDisable()
        {
            base.OnDisable();
            Logging.Write("[RAFLevel] Disabled");
        }

    }
}
